DocsAPI ReferenceWarehouse/bff/warehouse/reservation/release
postWarehouseAdmin BFF

/bff/warehouse/reservation/release

Release reservation(s) (Tier 1 #1)

WarehousepostBffWarehouseReservationRelease

Parameters

8 body

8 total
Body · 8
reservationIdnumber
orderIdnumber
orderItemIdnumber | null
externalKeystring
Length: 0120
reasonstring | string | string | string
notestring | null
idempotencyKeystring | null
performedByMemberIdnumber | null

Request

POST /bff/warehouse/reservation/release

post
curl -X POST "https://api.bizkithub.com/bff/warehouse/reservation/release" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "reservationId": 0,
  "orderId": 0,
  "externalKey": "example_externalKey"
}'

Response

JSON payload

{
  "success": false,
  "released": [
    {
      "reservationId": 0,
      "warehouseId": 0,
      "quantity": 0,
      "newReserved": 0,
      "newQuantity": 0,
      "movementId": 0
    }
  ],
  "alreadyResolved": false
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key